@Echo off
 set DirToDel=%~1
 if "%DirToDel%" equ "" goto :EndErr
 cd /D "%temp%"
 Echo --------------------------------------------------------------------------
 Echo Dir to Delete:%DirToDel%
 Rd /s "%DirToDel%"
 if not exist "%DirToDel%" Echo del dir:"%DirToDel%" OK
 if     exist "%DirToDel%" Echo del dir:"%DirToDel%" ERR
 goto :end


:EndErr
 Echo DirToDel: not given exit Error
 goto :end



:end
 pause
